Bug 249130 - running xawtv prompts for root password every time
running xawtv prompts for root password every time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xawtv (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-21 02:11 EDT by Andre Robatino
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.95-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 13:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2007-07-21 02:11:06 EDT
Description of problem:
  When running xawtv, one is prompted every time for the root password in order
to run v4l-conf.  At most this should only happen once.

Version-Release number of selected component (if applicable):
xawtv-3.95-3.fc7

How reproducible:
always
Comment 1 Dmitry Butskoy 2007-07-23 09:10:48 EDT
Questiions:

What is your PATH? (echo $PATH). Maybe you have /usr/sbin before /usr/bin ?

Do you use pam_console module? (in /etc/pam.d/gdm etc.)

Do you have SELinux enabled?
Comment 2 Dmitry Butskoy 2007-07-23 13:04:53 EDT
Seems understood.

"include config-util" in /etc/pam.d/v4l-conf is too restrictive...
Comment 3 Andre Robatino 2007-07-23 16:37:37 EDT
  Pretty much everything in my setup is default (no /usr/sbin in ordinary user
path, /usr/sbin before /usr/bin in root's path, SELinux in default enforcing
mode, I don't understand pam so presumably it's in whatever the default is). 
There was a thread in fedora-list about the v4l-conf problem, with a workaround:

http://www.redhat.com/archives/fedora-list/2007-July/msg02098.html
Comment 4 Fedora Update System 2007-07-27 01:51:22 EDT
xawtv-3.95-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Andre Robatino 2007-07-27 02:05:35 EDT
  The problem appears fixed with xawtv-3.95-4.fc7 from updates-testing.  Closing.
Comment 6 Fedora Update System 2007-07-30 13:05:52 EDT
xawtv-3.95-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.